%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdemultimedia
%define VER 2.1.1
%define DATE 20010221
%define is_release 1
%define is_preview 0

%if %{is_preview}
Name: %{pkg}2
Requires: kdesupport2
Prefix: /usr/lib/kde2
%else
Name: %{pkg}
Requires: kdesupport
Obsoletes: aktion
Prefix: /usr
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Icon: kde-icon.xpm
Summary: Multimedia applications for the K Desktop Environment (KDE).
Release: 1a
Epoch: 6
Source1: kmusic-%{DATE}.tar.bz2
Patch1: kdemultimedia-2.1-redhat.patch
Patch2: kdemultimedia-2.1-glibc-2.2.2.patch
Patch4: kdemultimedia-2.1-noatun.patch
Patch5: kdemultimedia-2.1-kmid.patch
Patch6: kdemultimedia-2.1-wav2pat-build.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Prereq: /sbin/ldconfig
ExcludeArch: ia64 sparc
Requires: arts kdelibs-sound kdelibs >= 2.1-8 timidity++ >= 2.10.3-0.a2.3

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including kmedia, a media player; kmid, a midi/karaoke player;
kmidi, a midi-to-wav player/converter; kmix, a mixer; and kscd, and
audio CD player.

Install kdemultimedia if you need multimedia applications for KDE. If
you're installing KDE, you'll also need to install kdebase, kdelibs
and kdesupport.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
%ifarch %{ix86}
bzip2 -dc %{SOURCE1} | tar vxf -
%endif
%patch1 -p1 -b .redhat
%patch2 -p1 -b .glibc222
%patch4 -p1 -b .noatun
%patch5 -p1 -b .kmid
%patch6 -p1 -b .wav2pat

perl -pi -e "s/-fomit-frame-pointer//g" admin/acinclude.m4.in

make -f Makefile.cvs
find . -name "*.moc" -exec rm -rf {} \;

%build
# like libtoolize, but different
%ifarch s390 s390x
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f /usr/share/libtool/$file $place
  done
done
%endif

export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

export PATH=%{prefix}/bin:$PATH
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
[ "$CPUS" -gt 2 ] && CPUS=2

%ifnarch sparc sparcev5 sparcev6 sparc64
export FLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%else
export FLAGS="-O0 -DNDEBUG"
%endif

CFLAGS="$FLAGS" CXXFLAGS="$FLAGS -fno-check-new" \
	./configure --prefix=%{prefix} \
	--disable-motif \
	--with-motif-includes=none \
	--with-motif-libraries=none \
	--disable-debug \
	--without-debug \
%if %{is_preview} == 0
	--includedir=/usr/include/kde
%endif
#	--enable-final \

make
cd kmidi
g++ $FLAGS -fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST -D_REENTRANT -DKMIDI -I/usr/include/kde `/usr/bin/artsc-config --libs` wav2pat.cpp -o wav2pat

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 kmidi/wav2pat $RPM_BUILD_ROOT/%{prefix}/bin
for i in $RPM_BUILD_ROOT/%{prefix}/bin/*; do
  strip -R .comment $i || : &>/dev/null
done

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/cddb/*

for i in kmidi artsbuilder aktion kmid kscd kmix; do
	rm -f $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i/common
	ln -s ../common $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i
done

# Kill aktion - it requires xanim, which has license problems
cd $RPM_BUILD_ROOT
rm -rf usr/bin/aktion usr/lib/libaktion* usr/share/applnk/Multimedia/aktion* \
       usr/share/apps/aktion usr/share/config/aktionrc \
       usr/share/doc/HTML/en/aktion

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/include/kde/arts/*
%{prefix}/include/kde/*.h
%{prefix}/include/kde/mpeglib
%{prefix}/include/kde/mpeglib_artsplug
%{prefix}/include/kde/noatun
%dir %{prefix}/lib/Arts
%{prefix}/lib/*.*
%{prefix}/lib/Arts/*
%{prefix}/lib/mcop/Arts/*
%{prefix}/lib/mcop/*.*
%{prefix}/share/applnk/Multimedia/*.desktop
%{prefix}/share/applnk/Settings/Sound/*.desktop
%{prefix}/share/apps/*
%config %{prefix}/share/mimelnk/*/*
# %config %{prefix}/share/config/*
%{prefix}/share/services/*
%{prefix}/share/servicetypes/*
%{prefix}/share/icons/*/*/apps/*
%doc %{_docdir}/HTML/en/*


%changelog
* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- ported to IBM zSeries (s390x, 64 bit)

* Tue Mar 20 2001 Than Ngo <than@redhat.com> 2.1.1-1
- update 2.1.1

* Mon Mar 19 2001 Than Ngo <than@redhat.com> 2.1-6
- remove x-mpegurl in noatun dekstop file
- check if FM support is available when starting kmid
- use bzip2 -dc | tar xvf -  instead tar jxf
- Fix FD leak introduced by FM check (bero)
- Don't try to use wav2pat to play a wave file in kmidi (fixes #32019) (bero)
- mpeglibartsplay: don't crash if invoked without parameters (#32020) (bero)

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-5
- Remove aktion, it requires xanim which has license problems

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-4
- Add noatun fixes from KDE_2_1_BRANCH
- /etc/kde -> /usr/share/config

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Requires: arts kdelibs-sound (#29715)
- Require kdelibs-2.1-5, we place config files in /etc/kde
- Require a current version of timidity++,
  we use its instrument files and need the fixed
  configuration (#29746)
- Fix dangling symlink in kaiman docs

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
